Save deployment procedure input

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedures

Used to create configuration deployment proedure.It is equivalent to save_procedure_input in emcli.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
This is the representation of input of a deployment procedure.
Match All
This is the representation of input of a deployment procedure.
This is the representation of input of a deployment procedure.
Show Source
Nested Schema : DeploymentProcedureSaveInputDetails
Type: object
This is the representation of an input given while submitting deployment procedure.
Show Source
Nested Schema : ParentDeploymentProcedureName
Type: object
Parent Deployment Procedure Name.
Show Source
Nested Schema : Notification
Type: object
Status of the deployment procedure instance for which the end-users can choose to be notified.
Show Source
  • The status of the procedure.All available status are scheduled, running, action required, succeeded, problems, suspended
Nested Schema : Schedule
Type: object
This represents a schedule object to schedule blackouts.
Show Source
  • Repeat
    Describes repetition of a blackout.
  • Start time of the blackout with timezone. Timestamps are with minute accuracy. Timezones can be given as offset (+01:00) or as zone (Europe/Berlin).
    Example: 2023-08-24T14:54-02:00
Match One Schema
Show Source
  • TimeToEnd
    An object specifying an end time with timezone. Timestamps are with minute accuracy. Timezones can be given as offset (+01:00) or as zone (Europe/Berlin).
  • Duration
    A duration given in hours and minutes. At least one of durationHours and durationMinutes is required.
Nested Schema : DeploymentProcedureTargetList
Type: array
Defining list of procedure targets
Show Source
Nested Schema : DeploymentProcedureVariableCollection
Type: object
Collections of Procedure Variable
Show Source
Nested Schema : Repeat
Type: object
Describes repetition of a blackout.
Show Source
  • End time of the repetition with timezone. Timestamps are with minute accuracy.
    Example: 2023-08-24T14:54-02:00
Match One Schema
Show Source
Nested Schema : TimeToEnd
Type: object
An object specifying an end time with timezone. Timestamps are with minute accuracy. Timezones can be given as offset (+01:00) or as zone (Europe/Berlin).
Show Source
Nested Schema : Duration
Type: object
A duration given in hours and minutes. At least one of durationHours and durationMinutes is required.
Show Source
Nested Schema : DaysOfYear
Type: object
List of days of year.
Show Source
Nested Schema : DaysOfMonth
Type: object
List of days of month in range 1-31 or -1 for last day of the month.
Show Source
Nested Schema : DaysOfWeek
Type: object
List of days of week.
Show Source
Nested Schema : EveryNWeeks
Type: object
Repeat every n weeks.
Show Source
Nested Schema : EveryNDays
Type: object
Repeat every n days.
Show Source
Nested Schema : EveryNHours
Type: object
Repeat every n hours.
Show Source
Nested Schema : EveryNMinutes
Type: object
Repeat every n minutes, minimal value is 2.
Show Source
Nested Schema : daysOfYear
Type: array
List of days of the year.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : daysOfMonth
Type: array
List of days of the month (1 based).
Show Source
Example:
[
    1,
    15
]
Nested Schema : daysOfWeek
Type: array
List of days of week (localized short names).
Show Source
Example:
[
    "MO",
    "TH"
]
Nested Schema : items
Type: object
Show Source
Nested Schema : DeploymentProcedureTargetCollection
Type: object
Collections of Procedure Target
Show Source
Nested Schema : items
Type: array
The list of targets
Show Source
Nested Schema : DeploymentProcedureTargetSummary
Type: object
This is the representation of Procedure Target
Match All
This is the representation of Procedure Target
Show Source
Nested Schema : DeploymentProcedureTargetDetails
Type: object
Defining Target for Deployment Procedure
Show Source
Nested Schema : CredentialReference
Type: array
This is the representation of credential references.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: array
The list of procedure variables
Show Source
Nested Schema : DeploymentProcedureVariableSummary
Type: object
This is the representation of Procedure Variable
Match All
This is the representation of Procedure Variable
Show Source
Nested Schema : DeploymentProcedureVariableDetails
Type: object
Defining Variable for Deployment Procedure
Show Source
Back to Top

Response

201 Response

Configuration deployment procedure created successfully.
Headers

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top